### Method

# Gtk Widget set_focus_on_click

#### Declaration [src]

    void
    gtk_widget_set_focus_on_click (
      GtkWidget* widget,
      gboolean focus_on_click
    )

#### Description [src]

Sets whether the widget should grab focus when it is clicked with the mouse.

Making mouse clicks not grab focus is useful in places like toolbars where you don’t want the keyboard focus removed from the main area of the application.

Sets property | `Gtk.Widget:focus-on-click`

#### Parameters

`focus_on_click`

  Type: `gboolean`

  Whether the widget should grab focus when clicked with the mouse.